Package org.eclipse.birt.report.model.api.extension

# Class UndefinedPropertyInfo

java.lang.Object
org.eclipse.birt.report.model.api.extension.UndefinedPropertyInfo

public class UndefinedPropertyInfo extends Object
Class that provides the information for undefined properties set in extended items.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`extensionVersion`
Extension version of the extended-item.
`protected String`
`propName`
Name of the property.
`protected Object`
`value`
Value of the property.

## Constructor Summary

Constructors
Constructor
Description
`UndefinedPropertyInfo(String name, Object value, String version)`
Constructs the this information with property name, value and extension version.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionVersion()`
`String`
`getPropName()`
`Object`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propName

protected String propName
Name of the property.

### value

protected Object value
Value of the property.

### extensionVersion

protected String extensionVersion
Extension version of the extended-item.

## Constructor Details

### UndefinedPropertyInfo

public UndefinedPropertyInfo(String name, Object value, String version)
Constructs the this information with property name, value and extension version.

Parameters:
  `name` -
  `value` -
  `version` -

## Method Details

### getPropName

public String getPropName()

Returns:
  the propName

### getValue

public Object getValue()

Returns:
  the value

### getExtensionVersion

public String getExtensionVersion()

Returns:
  the extensionVersion